## org.jfree.report.data
Interface ExpressionSlot

All Superinterfaces:
  java.lang.Cloneable

All Known Implementing Classes:
  PrecomputedExpressionSlot, RunningExpressionSlot

    public interface ExpressionSlot

extends java.lang.Cloneable

Creation-Date: 25.11.2006, 15:18:42

Author:
  Thomas Morgner

Method Summary
`void` `advance()`
`java.lang.Object` `clone()`
`java.lang.String` `getName()`
`java.lang.Object` `getValue()`
`boolean` `isDeepTraversing()`
`boolean` `isPreserve()`
`void` `updateDataRow(DataRow dataRow)`

Method Detail

### getValue

    java.lang.Object getValue()
                              throws DataSourceException

  Throws:
    `DataSourceException`

### advance

    void advance()
                 throws DataSourceException

  Throws:
    `DataSourceException`

### updateDataRow

    void updateDataRow(DataRow dataRow)

### getName

    java.lang.String getName()

### isDeepTraversing

    boolean isDeepTraversing()

### isPreserve

    boolean isPreserve()

### clone

    java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Throws:
    `java.lang.CloneNotSupportedException`